/*-----------------------------------------------------------------------------
 * Name:    Touch.h
 * Purpose: Touchscreen interface header file
 *-----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2014 KEIL - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#ifndef __TOUCH_H
#define __TOUCH_H

#include <stdint.h>

/* Touch state */
typedef struct _TOUCH_STATE {
  int16_t x;                            // Position X
  int16_t y;                            // Position Y
  uint8_t pressed;                      // Pressed flag
} TOUCH_STATE;

extern void Touch_Initialize   (void);
extern void Touch_Uninitialize (void);
extern int32_t Touch_GetState  (TOUCH_STATE *pState);

#endif /* __TOUCH_H */
